/*
 Theme Name:   Agrarium Child
 Description:  Agrarium Child Theme
 Theme URI:	   https://demo.artureanec.com/themes/agrarium
 Author:       Artureanec
 Author URI:   https://demo.artureanec.com
 Template:     agrarium
 Version:      1.0.0
 License: GNU  General Public License version 3.0
 License URI:  http://www.gnu.org/licenses/gpl-3.0.html
 Text Domain:  agrarium-child
*/

/* =Theme customization starts here
------------------------------------------------------- */

/*-------------------custom-css start here--------------------*/


a {
    color: #d34322;
}

/*header css start*/
body .milkio-form-section .iti__selected-country-primary {
    background: #E5E5E5 !important;
}
body .milkio-form-section button.iti__selected-country:hover {
    border-color: #ced4da !important;
}
.header .agrarium-button:hover {
    color: #ffffff;
}

.scrolldown_button_anchor svg path {
    fill: #ffffff;
}

.header.header-type-3 .logo-container .logo-link {
    padding: 20px 0;
}
.gt_float_switcher .gt_options {
    position: absolute !important;
    background: #fff !important;
}
.gt_float_switcher .gt-selected .gt-current-lang span.gt-lang-code {
    font-size: 18px;
}
.gt_float_switcher .gt_options a {
    font-size: 13px !important;
    color: #000 !important;
    display: flex !important;
	padding: 10px 10px;
}

.gt_float_switcher img {
    width: 25px;
}
/*header css end*/
.page-title-bottom-overlay:before {
  background-image: url('https://milkio.co.nz/wp-content/uploads/2021/09/page-title-layer.png') !important;
}
/*banner + title page css start*/
.page-title-container h1.page-title,
.page-title-container .page-title-wrapper .page-title-box,
.page-title-container,
.edit-post-visual-editor__post-title-wrapper .editor-post-title {
    font-size: 40px;
}

.page-title-bg:before {
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    background-color: #000;
    opacity: 0.5;
}

.banner-bg-title-bottom:after {
    content: '';
    position: absolute;
    width: 100%;
    height: 35px;
    left: 0;
    bottom: 0;
    background-repeat: no-repeat;
    background-size: cover;
    background-image: url('https://milkio.co.nz/wp-content/uploads/2021/09/page-title-layer.png');
}
.mobile-toggle-btn button.elementskit-menu-hamburger.elementskit-menu-toggler {
	min-width: 50px;
}
.gt_float_switcher .gt-selected .gt-current-lang {
    background: #FDF3F3 !important;
    padding: 5px 10px !important;
    color: #000 !important;
}
/*mega menu */

.main-site-header .elementskit-megamenu-panel {
 top : 65px !important
}
.main-site-header ul.elementor-icon-list-items {
    margin-left: 0 !important;
}

.main-mobile-get-in-btn {
    display: none;
}

.main-mobile-get-in-btn a {
    background-color: transparent;
    border-color: #d34322 !important;
    color: #2b2b2b !important;
    width: 175px;
    border: 2px solid;
    border-radius: 3px;
    margin-left: 15px;
    justify-content: center;
}

.main-mobile-get-in-btn a:hover {
    background-color: #d34322;
    border-color: #d34322 !important;
    color: #ffffff !important;
}

.main-site-header {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 9999;
    background: transparent;
    transition: all 0.4s ease;
}

.milkio-dynamic-menu a svg {
    width: 70px;
    height: auto;
}

ul.milkio-dynamic-menu {
    margin-left: 0px !important;
}

body .milkio-dynamic-menu li {
    margin-bottom: 15px;
}

.milkio-dynamic-menu li a {
    color: #792B89;
    display: flex;
    align-items: center;
    gap: 20px;
}

.milkio-dynamic-menu a svg {
    width: 30px;
    height: auto;
    background: #f9f3f3;
    border-radius: 10px;
}

.main-header-btn .agrarium-button {
    min-width: 156px;
}

.main-site-header.is-sticky {
    position: fixed !important;
    background: #000000;
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.1);
    animation: headerAppear 0.5s ease;
}

/* Smooth Slide Down Animation */
@keyframes headerAppear {
    from {
        transform: translateY(-100%);
    }

    to {
        transform: translateY(0);
    }
}

.main-site-header ul>li:before {
    display: none;
}

.milkio-icon {
    width: 18px;
    height: 18px;
    margin-right: 10px;
}

.milkio-dynamic-menu li a:hover {
    padding-left: 8px;
    color: #000;
}

/*home page*/
/*RUP - 20-04-2026*/
.home-woocommerce-product-card .woocommerce-product-details__short-description p {
    margin: 0 !important;
	line-height: 24px !important;
}

body.home .products .woocommerce .swiper {
    width: 100%;
}

.agrarium_video_container.active.visible {
    z-index: 99999;
}
.agrarium_content_container .agrarium_slider_column:first-child {
    background: #dacbd9b5;
    z-index: 99;
    padding: 30px 30px;
}

/* .home-slider-overlay .agrarium_content_slide:after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgb(0 0 0 / 65%);
    z-index: -1;
} */

.product-card-short-text .woocommerce-product-details__short-description {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    line-height: 1.4em;
    /* height: 2.8em; */
}

.product-card-short-title h3 {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    line-height: 1.4em;
}

body .product-card-text-details-section {
    height: 100%;
}

.home-certification-section-img-box .elementor-image-box-content {
    padding: 30px 40px 30px;
    border-radius: 0 0 20px 20px;
}

.home-certification-section-img-box:hover .elementor-image-box-content {
    background: #D34322;
}

body .home-certification-section-img-box:hover .elementor-image-box-content .elementor-image-box-title a {
    color: #ffffff;
}
.about-history .history-year-wrapper {
    display: none;
}

/*gallery*/
.gallery-page-section button.e-n-tab-title:hover,
.gallery-page-section button.e-n-tab-title:focus {
    border-radius: 0;
}

/*blog & blog details */
.single-faqs .woocommerce-breadcrumb ,
.single-post  .woocommerce-breadcrumb  {
    color: #fff;
    font-size: 16px;
    font-family: "Fira Sans", Sans-serif;
    font-size: 16px;
    letter-spacing: 0em;
}
.single-faqs  .woocommerce-breadcrumb a,
.single-post .woocommerce-breadcrumb a {
	 color: #fff;
}
.single-faqs .page-title-box,
.single-post .page-title-box{
    text-align: center;
}
.single-post .sidebar .widget a {
    word-wrap: break-word;
    white-space: break-spaces;
    display: block;
}
.post-categories .post-category-item {
    color: #fff !important;
}

.content-wrapper {
    color: #000;
}

.single-post .post-content p {
    margin: 5px 0;
}

.single-post .post-content ul {
    margin-bottom: 15px;
}

.post-meta-footer .wrapper-socials a {
    color: #ffffff !important;
}

.post-meta-footer .wrapper-socials a:hover {
    background-color: #d34322 !important;
}

.wp-block-search.wp-block-search__icon-button .wp-block-search__button.has-icon:after {
    color: #d34322;
}

/* .blog-page-filter.elementor-widget-taxonomy-filter .e-filter-item[aria-pressed=true] {
    border-color: #d34322;
    border-radius: 5px;
    border: 1px solid;
} */

/*blog details sidebar*/
.widget.widget_block.widget_categories,
.widget.widget_block.widget_archive,
.widget.widget_block.widget_tag_cloud,
.widget.widget_block.widget_recent_entries {
    margin-top: 10px;
}

/*recipe page */
.recipe-page-slider-experct {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

.recipe-page-slider-title a {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

.recipe-page-slider-content {
    max-width: 450px;
    width: 100%;
    left: 3rem !important;
    bottom: -20px !important;
}

/* Ensure image box is relative for badge positioning */
.image-box {
    position: relative;
    overflow: hidden;
    height: 350px;
}

.recipe-related-product-card-section {
    display: flex;
    gap: 50px;
}

.recipe-related-product-card-section .milkio-trends-card {
    box-shadow: 0 0 10px 0 rgba(0, 0, 0, .15);
    background-color: #fff;
    border: 0 solid #69727d;
    border-radius: 3px;
    display: flex;
    flex-direction: column;
    min-height: 100%;
    overflow: hidden;
    position: relative;
    transition: all .25s;
    width: 33.33%;
}

.recipe-related-product-card-section .product-badge {
    position: absolute;
    top: 0;
    left: 0;
    font-size: 16px;
    margin: 10px;
    line-height: 1;
    background: #000;
    color: #fff;
    padding: 5px 12px;
    font-weight: 500;
    text-transform: uppercase;
    background-color: #000000;
    border-radius: 5px;

}

.recipe-related-product-card-section h4.product-title {
    color: #792B89;
    font-family: "Montserrat", Sans-serif;
    font-size: 20px;
    font-weight: 600;
    line-height: 24px;
    margin: 0;
}

.recipe-related-product-card-section .content-box {
    margin-top: 20px;
    margin-bottom: 40px;
    padding: 0 30px;
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    gap: 10px;
}

.recipe-related-product-card-section .product-tags,
.recipe-related-product-card-section .product-tags a {
    font-size: 12px;
    margin-bottom: 8px;
    font-style: italic;
    color: #AFAFAF;
    font-family: "Fira Sans", Sans-serif;
    font-size: 16px;
    font-weight: 400;
    text-transform: capitalize;
}

/*product details page*/

.image-box img {
    height: 100%;
    max-width: 100%;
    object-fit: cover;
}

.woocommerce form .cf-product-details input[type="checkbox"] {
    margin-bottom: 0px !important;
}

.cf-product-details label {
    display: flex;
    align-items: center;
}

.woocommerce #wpcf7-f20624-p19215-o1 p {
    margin: 0 !important;
}

.woocommerce #wpcf7-f20624-p19215-o1 span.wpcf7-list-item.first.last {
    margin: 0;
}

.single-product.woocommerce div#elementor-lightbox-slideshow-single-img {
    display: none;
}

.single-product.woocommerce ol.flex-control-nav.flex-control-thumbs {
    display: flex;
    width: 100% !important;
    margin-top: 10px !important;
}

.single-product.woocommerce div.product .woocommerce-product-gallery {
    align-items: flex-start;
    flex-direction: column;
}

.single-product.woocommerce div.product .woocommerce-product-gallery .flex-viewport .woocommerce-product-gallery__image img {
    max-width: 100%;
    max-height: 100%;
    border: none;
    -webkit-border-radius: 5px;
    border-radius: 5px;
}

.single-product.woocommerce div.product .woocommerce-product-gallery .flex-viewport a {
    max-width: 100%;
}

.milkio-cert-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;
    gap: 10px;
    padding: 0;
    text-align: center;
}

.cert-link {
    text-decoration: none;
    display: block;
}

.cert-image-wrapper {
    width: 80px;
    height: 80px;
    margin: 0 auto 10px auto;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: transform 0.3s ease;
}

.cert-image-wrapper img {
    max-width: 100%;
    height: auto;
    object-fit: contain;
}

.cert-title {
    font-size: 14px;
    font-weight: 400;
    color: #7A7A7A;
    margin: 0;
    line-height: 1.2;
}

.product-details-heading h5 {
    position: relative;
}
#sb_instagram.sbi_width_resp.sbi_col_2 #sbi_images .sbi_item, #sb_instagram.sbi_width_resp.sbi_col_4 #sbi_images .sbi_item, #sb_instagram.sbi_width_resp.sbi_col_6 #sbi_images .sbi_item, #sb_instagram.sbi_width_resp.sbi_col_8 #sbi_images .sbi_item, #sb_instagram.sbi_width_resp.sbi_col_10 #sbi_images .sbi_item {
    width: 100%;
}
#sb_instagram .sbi_follow_btn a {
    display: flex !important;
    align-items: center !important;
    justify-content: center !important;
}

#sb_instagram #sbi_load {
        display: flex !important;
    flex-direction: column !important;
}

.product-details-heading h5:before {
    content: url('https://dev-milkio.pantheonsite.io/wp-content/uploads/2026/03/list-icon-292b1c08.svg');
    left: -30px;
    position: absolute;
    bottom: 4px;
}
#fluentform_9 fieldset {
    display: flex;
    gap: 19px;
	justify-content: center;
    align-items: center;
}

.ff-default #fluentform_5 .ff-el-form-control {
    border-color: #D34322 !important;
    border-radius: 0 !important;
    background: #fcf0ee !important;
}
button.ff-btn.ff-btn-submit.ff-btn-md.pricing-form-button.ff_btn_style.wpf_has_custom_css {
    padding: 15px 50px !important;
}
/*Inovation page*/
.inovation-timeline-container {
    position: relative;
}

.inovation-timeline-container:before {
    content: '';
    position: absolute;
    width: 25px;
    height: 25px;
    right: 0;
    background-color: white;
    border: 4px solid #D34322;
    top: 40px;
    border-radius: 50%;
    z-index: 1;
    left: -15px;
}
/*why grass fed*/
.why-grass-4cols {
    min-height: 480px;
}

/*footer*/
.milkio-content h3 {
	letter-spacing: normal;
}
.footer .footer-copyrights-container,
.footer .footer-additional-menu-container .footer-additional-menu li > a {
	color: #fff;
}
.milkio-footer-addin-info .milkio-footer-addi-btn a.agrarium-button {
    padding: 5px 5px;
    font-size: 11px;
    min-width: 100px !important;
}
ul#menu-footer-menu-1 {
    display: flex;
    flex-direction: column;
}
.footer-type-1 .footer-widgets .widget {
    width: calc(25% - 30px);
}
.bottom_section_background .bottom_section_background_wrapper {
    background-position: bottom center;
}

/* .footer .wrapper-socials a {
    background-color: #d34322;
    color: #ffff;
} */

footer .wrapper-socials a {
    background-color: #b9a232 !important;
    color: #ffff !important;
    padding-top: 3px;
    width: 50px !important;
    height: 50px !important;
    font-size: 30px !important;
    display: flex;
    align-items: center;
    text-align: center;
    justify-content: center;
    border-radius: 50%;
  }

.footer .wrapper-socials a path {
    fill: #ffffff !important;
}
li.wp-social-link.wp-social-link-facebook.wp-block-social-link {
    margin: 0;
    padding: 0;
}
.footer .wrapper-socials a:hover {
    background-color: #ffff !important;
    color: #b9a232 !important;
	opacity: 1;
}
.footer .wrapper-socials a:hover path {
    fill: #b9a232 !important;
}

.footer-section.footer-section-bottom .footer-socials-container {
    display: none;
}

.footer-section.footer-top-section {
    display: none;
}
a.heateor_sss_button_mix {
    display: none !important;
}
.footer-type-1 .footer-section .footer-widgets {
    justify-content: center;
} 
.footer a:hover {
    color: #fff !important;
    opacity: 0.6;
}
.footer-type-1 #agrarium_contacts_widget-5 .agrarium-contacts-widget-logo.logo {
	  width: 215px;
}

/*Responsive*/
@media only screen and (min-width: 992px) {
    .blog-page-listing-section .grid-listing.columns-3 .grid-item {
        width: 33.3333%;
    }
}

@media (max-width: 1440px) {
	.main-site-header .elementskit-navbar-nav li  a {
    font-size: 14px !important;
    padding: 0px 5px 0px 5px !important;
}
	
}
@media (max-width: 1200px) {
	.main-site-header .elementskit-navbar-nav li  a {
    font-size: 13px !important;
}
	.main-header-btn .agrarium-button {
    min-width: 122px;
    font-size: 12px;
    padding: 13px 10px;
}
}
@media (max-width: 1024px) {
    .elementskit-submenu-indicator {
        color: #d34322 !important;
        fill: #d34322 !important;
    }

    .recipe-page-slider-content {
        max-width: 350px;
    }
}

@media screen and (min-width: 1025px) {
/*     #menu-item-19813.mega-menu-contacts .elementskit-megamenu-panel {
        transform: translateY(-10px) translateX(-50%);
        left: 50%;
    } */
}

@media (min-width: 768px) and (max-width: 1024px) {
    .main-site-header .elementskit-megamenu-panel.elementskit-dropdown-open {
        max-width: 750px;
        width: 100% !important;
    }
}

@media (min-width: 768px) and (max-width: 991px) {
    .home-awardes-inovation .elementor-image-box-wrapper {
        display: flex !important;
        gap: 20px;
    }

    .home-awardes-inovation .elementor-image-box-img {
        margin-bottom: 0;
    }

}

@media (max-width: 1024px) {

    .page-title-container h1.page-title,
    .page-title-container .page-title-wrapper .page-title-box,
    .page-title-container,
    .edit-post-visual-editor__post-title-wrapper .editor-post-title {
        font-size: 30px;
    }

    .banner-bg-title-bottom:after {
        content: '';
        position: absolute;
        width: 100%;
        height: 55px;
        left: 0;
        bottom: -30px;
        background-repeat: no-repeat;
        background-size: cover;
        background-image: url('https://milkio.co.nz/wp-content/uploads/2021/09/page-title-layer.png');
    }
		.footer-type-1 .footer-widgets .widget {
    width: calc(50% - 30px);
}
		body .milkio-footer-addin-info h4 {
    text-align: left;
}
	body .milkio-footer-addin-info .milkio-footer-addi-btn {
    justify-content: flex-start;
}
}
@media (max-width: 991px) { 
		.footer-type-1 .footer-section .footer-widgets {
		    flex-direction: column;
	}
	.footer-type-1 .footer-widgets .widget {
    width: calc(100% - 30px);
}

}
@media (max-width: 767px) {

	#fluentform_9 fieldset {
    flex-direction: column;
	align-items: normal;
  
}
	.recipe-related-product-card-section {
    gap: 10px;
}
    .recipe-page-slider-content {
        max-width: 100%;
        width: auto;
        left: 0 !important;
    }

    .main-mobile-get-in-btn {
        display: block;
    }

    .recipe-related-product-card-section .milkio-trends-card {
        width: 100%;
    }
	.homepage-product-container {
	flex-direction: row-reverse;
}
	.product-card-text-details-section {
		justify-content: inherit;
	}
	.bottom_section_background .bottom_section_background_wrapper {
    min-height: 120px;
}

}
@media (max-width: 767px) { 
.recipe-related-product-card-section {
    flex-direction: column;
}
}
@media only screen and (min-width: 992px) {
    #sb_instagram.sbi_width_resp.sbi_col_4 #sbi_images .sbi_item {
        width: 100% !important;
    }
}

ul > li:before { 
	content: unset;
	display: none;
}
.iti__country::before,
.iti__country-name::before {
  content: none !important;
  display: none !important;
}
.milkio-form-section button.iti__selected-country {
    min-width: auto !important;
    border-color: unset;
    border-radius: unset;
}